---
title: "Get All Subscriptions"
slug: "get-all-subscriptions"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Subscriptions

Get/api/v1/subscriptions.get

Get the room notification subscription details and the latest updates. Note that the unread counter value depends on your settings in the **Manage** > **Workspace** > [**General**](https://docs.rocket.chat/docs/general) section.

### Changelog

| Version | Description |
| --- | --- |
| 0.60.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersupdatedSincestring

Date and time from which to fetch changes. Format: ISO 8601 datetime. Optional seconds, optional milliseconds, optional timezone, always with colon time separators.

Example2017-11-25T15:08:17.248Z

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='87316d8e-b3ab-4e9a-a7df-3e2090ff5fe9'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f5a54610-0f7d-4535-ad94-54bfefbd325f'>Success Example</option>
</select>Success Example

```json
{
  "update": [
    {
      "t": "c",
      "ts": "2017-11-25T15:08:17.249Z",
      "name": "general",
      "fname": null,
      "rid": "GENERAL",
      "u": {
        "_id": "EoyAmF4mxx5HxJHJB",
        "username": "rocket.cat",
        "name": "Rocket Cat"
      },
      "open": true,
      "alert": true,
      "unread": 1,
      "userMentions": 1,
      "groupMentions": 0,
      "_updatedAt": "2017-11-25T15:08:17.249Z",
      "_id": "5ALsG3QhpJfdMpyc8"
    }
  ],
  "remove": [],
  "success": true
}
```

Expand Allobject  update Array of object (Subscription)   object  _idstring    
openboolean    
alertboolean    
unreadinteger    
userMentionsinteger    
groupMentionsinteger    
tsstring    
ridstring    
namestring    
fnamestring   | null  
tstring    
uobject  _idstring    
usernamestring    
namestring    

_updatedAtstring    
lsstring    
E2EKeystring    

remove Array of object   object  
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='e21f54ae-66f3-4c88-827e-c79936abf45f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='982d7c87-3bf2-41a3-af5e-0520c4594ef0'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
